<?php
/*
Plugin Name: testPlugin
Plugin URI: http://www.adjust.ne.jp
Description: プラグイン作成テスト
Author: ADjust Co.,Ltd.
Author URI: http://www.adjust.ne.jp
Version: 1.0
*/

$testPlugin = new testPlugin;
add_action('admin_menu', array($testPlugin, 'addPluginMenu'));
add_action('plugins_loaded', array($testPlugin, 'init'));

class testPlugin
{
  public function init()
  {
    foreach ($this->getConfigs() as $config)
    {
      if (get_option($config['name']))
      {
        remove_action($config['tag'], $config['name'], !empty($config['priority']) ? $config['priority'] : 10);
      }
    }
  }

  public function addPluginMenu()
  {
    add_options_page('testPlugin Config', 'テストプラグイン設定', 'manage_options', basename(plugin_basename(__FILE__), '.php'), function(){
      require 'settingTemplate.php';
    });
  }

  public function getConfigs()
  {
    return array(
      array(
        'tag'      => 'wp_head',
        'name'     => 'rsd_link',
      ),
      array(
        'tag'      => 'wp_head',
        'name'     => 'wlwmanifest_link',
      ),
      array(
        'tag'      => 'wp_head',
        'name'     => 'wp_generator',
      ),
      array(
        'tag'      => 'wp_head',
        'name'     => 'print_emoji_detection_script',
        'priority' => 7,
      ),
      array(
        'tag'      => 'wp_print_styles',
        'name'     => 'print_emoji_styles',
      ),
    );
  }
}

/*
*/